<mamecheat version="1">

  <cheat desc="Infinite Time">
    <script state="run">
      <action>maincpu.pb@FEE03900=63</action>
    </script>
  </cheat>

  <cheat desc="Finish this Round Now!">
    <script state="on">
      <action>maincpu.pb@FEE03900=00</action>
    </script>
  </cheat>

  <cheat desc="D.Varona is hidden between G.Smith and J.H.Dinger"/>

  <cheat desc="Enable 'Draef Varona'"> <comment>Draef Varona is hidden between G.Smith and J.H.Dinger</comment>
    <script state="on">
      <action>temp0 =maincpu.rb@FFE16C00</action>
      <action>temp1 =maincpu.rb@FFE16C13</action>
    </script>
    <script state="run">
      <action>maincpu.rb@FFE16C00=E7</action>
      <action>maincpu.rb@FFE16C13=E7</action> <!-- E7 means 07, his ID (part 1 for G.Smith then R, part 2 for J.H.D. then L) -->
    </script>
    <script state="off">
      <action>maincpu.rb@FFE16C00=temp0 </action>
      <action>maincpu.rb@FFE16C13=temp1 </action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Energy PL1">
    <script state="run">
      <action>maincpu.pb@FEE035C4=78</action>
    </script>
  </cheat>

  <cheat desc="Drain All Energy Now! PL1">
    <script state="on">
      <action>maincpu.pb@FEE035C4=00</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Energy PL2">
    <script state="run">
      <action>maincpu.pb@FEE036C4=78</action>
    </script>
  </cheat>

  <cheat desc="Drain All Energy Now! PL2">
    <script state="on">
      <action>maincpu.pb@FEE036C4=00</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
